Bug 385581 - RHEL5 cmirror tracker: unable to resize active mirrors
RHEL5 cmirror tracker: unable to resize active mirrors
Status: CLOSED DUPLICATE of bug 220567
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Milan Broz
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2007-11-15 15:57 EST by Corey Marthaler
Modified: 2013-02-28 23:06 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-24 06:25:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2007-11-15 15:57:24 EST
Description of problem:
This operation appears blocked behind bz 385541.

[root@taft-02 ~]# lvs -a -o +devices
  LV                 VG         Attr   LSize  Origin Snap%  Move Log         
Copy%  Devices
  LogVol00           VolGroup00 -wi-ao 66.19G                                  
  LogVol01           VolGroup00 -wi-ao  1.94G                                  
  mirror1            taft       mwi-a-  5.00G                    mirror1_mlog 
32.66 mirror1_mimage_0(0),mirror1_mimage_1(0)
  [mirror1_mimage_0] taft       iwi-ao  5.00G                                  
  [mirror1_mimage_1] taft       iwi-ao  5.00G                                  
  [mirror1_mlog]     taft       lwi-ao  4.00M                                  
  mirror2            taft       mwi-a-  5.00G                    mirror2_mlog
100.00 mirror2_mimage_0(0),mirror2_mimage_1(0)
  [mirror2_mimage_0] taft       iwi-ao  5.00G                                  
  [mirror2_mimage_1] taft       iwi-ao  5.00G                                  
  [mirror2_mlog]     taft       lwi-ao  4.00M                                  
[root@taft-02 ~]# lvextend -L 10G taft/mirror1
  Extending 2 mirror images.
  Mirrors cannot be resized while active yet.
[root@taft-02 ~]# lvchange -an taft/mirror2

Version-Release number of selected component (if applicable):
Comment 2 Jonathan Earl Brassow 2008-01-14 17:57:06 EST
... but you can resize non-active mirrors.  I'll have to check, but I think the
only thing blocking this is a check in the code... the actual limitation has
been removed.

Comment 5 Corey Marthaler 2008-02-05 16:51:00 EST
Jon's comment is correct, you can currently resize inactive mirrors.
Comment 7 Corey Marthaler 2008-08-27 16:29:57 EDT
There's probably no reason to block cmirrors in 5.3 for this. Single machine mirrors can not be resized while active either. However, I believe both cluster and single machine mirrors can be in RHEL4.
Comment 11 Corey Marthaler 2008-09-25 12:32:32 EDT
Just an FYI, this functionality is still not turned on in the latest build:

[root@taft-04 ~]# lvextend -L 10G taft/mirror
  Extending 2 mirror images.
  Mirrors cannot be resized while active yet


lvm2-2.02.40-2.el5    BUILT: Fri Sep 19 09:46:26 CDT 2008
lvm2-cluster-2.02.40-2.el5    BUILT: Fri Sep 19 09:49:59 CDT 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.25-1.el5    BUILT: Fri Sep 19 16:27:46 CDT 2008
kmod-cmirror-0.1.17-1.el5    BUILT: Fri Sep 19 16:27:33 CDT 2008
Comment 12 Jonathan Earl Brassow 2008-09-30 11:16:50 EDT
The check that rejects resizing active mirrors is in LVM2/tools/lvresize.c, so changing component.
Comment 13 Milan Broz 2008-10-24 06:25:24 EDT
lvextend just call lvrezize unternally, marking dup of bug 220567.

*** This bug has been marked as a duplicate of bug 220567 ***

Note You need to log in before you can comment on or make changes to this bug.